org.springframework.messaging.converter

## Class SimpleMessageConverter

- java.lang.Object
- - org.springframework.messaging.converter.SimpleMessageConverter

- All Implemented Interfaces:
    MessageConverter
  Direct Known Subclasses:
    GenericMessageConverter

      public class SimpleMessageConverter
      extends Object
      implements MessageConverter

  A simple converter that simply unwraps the message payload as long as it matches the expected target class. Or reversely, simply wraps the payload in a message.

  Note that this converter ignores any content type information that may be present in message headers and should not be used if payload conversion is actually required.

  Since:
    4.0
  Author:
    Rossen Stoyanchev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleMessageConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `fromMessage(Message<?> message, Class<?> targetClass)` Convert the payload of a `Message` from a serialized form to a typed Object of the specified target class.
    `Message<?>` | `toMessage(Object payload, MessageHeaders headers)` Create a `Message` whose payload is the result of converting the given payload Object to serialized form.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleMessageConverter

          public SimpleMessageConverter()

  - ### Method Detail

    - #### fromMessage

          @Nullable
          public Object fromMessage(Message<?> message,
                                              Class<?> targetClass)

      Description copied from interface: `MessageConverter`
      Convert the payload of a `Message` from a serialized form to a typed Object of the specified target class. The `MessageHeaders.CONTENT_TYPE` header should indicate the MIME type to convert from.

      If the converter does not support the specified media type or cannot perform the conversion, it should return `null`.

      Specified by:
        `fromMessage` in interface `MessageConverter`
      Parameters:
        `message` - the input message
        `targetClass` - the target class for the conversion
      Returns:
        the result of the conversion, or `null` if the converter cannot perform the conversion

    - #### toMessage

          public Message<?> toMessage(Object payload,
                                      @Nullable
                                      MessageHeaders headers)

      Description copied from interface: `MessageConverter`
      Create a `Message` whose payload is the result of converting the given payload Object to serialized form. The optional `MessageHeaders` parameter may contain a `MessageHeaders.CONTENT_TYPE` header to specify the target media type for the conversion and it may contain additional headers to be added to the message.

      If the converter does not support the specified media type or cannot perform the conversion, it should return `null`.

      Specified by:
        `toMessage` in interface `MessageConverter`
      Parameters:
        `payload` - the Object to convert
        `headers` - optional headers for the message (may be `null`)
      Returns:
        the new message, or `null` if the converter does not support the Object type or the target media type